import {Link, Outlet} from "react-router-dom";

const Master = (props) => {
    const { loggedIn, setLoggedIn } = props;
    return (
        <>
            <nav>
                <ul>
                    <li>
                        <Link to="/">Home</Link>
                    </li>
                    {!loggedIn && (
                        <li>
                            <Link to="/registration">Registration</Link>
                        </li>
                    )}
                    {!loggedIn && (
                        <li>
                            <Link to="/login">Login</Link>
                        </li>
                    )}
                    {loggedIn && (
                        <li>
                            <Link to="/account">Account</Link>
                        </li>
                    )}
                    {loggedIn && (
                        <li>
                            <a href="" onClick={() => setLoggedIn(false)}>Logout</a>
                        </li>
                    )}
                </ul>
            </nav>
            <Outlet/>
        </>
    );
};
export default Master;