const Registration = () => {
    const handleSubmit = async (event) => {
        event.preventDefault();
        const formData = new FormData(event.target);
        const data = {};
        formData.forEach((value, key) => {
            data[key] = value;
        });

        let response = await fetch('http://localhost:8080/registration', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json',
            },
            body: JSON.stringify(data),
        });

        console.log("clicked registration, status: " + response.status);
    };

    return (
        <div className="container">
            <h1>Registration Form</h1>
            <form id="registrationForm" onSubmit={handleSubmit}>
                <label htmlFor="userName">User Name:</label>
                <input type="text" id="userName" name="userName" required/><br/><br/>

                <label htmlFor="password">Password:</label>
                <input type="password" id="password" name="password" required/><br/><br/>

                <label htmlFor="repeatPassword">Repeat Password:</label>
                <input type="password" id="repeatPassword" name="repeatPassword" required/><br/><br/>

                <input type="submit" value="Submit"/>
                <input type="reset" value="Reset"/>
            </form>
        </div>
    );
};

export default Registration;