const express = require('express');
const app = express();
const port = 8080;
const cors = require('cors');

app.use(cors());
app.use(express.json())

app.post('/login', (request, response) => {
    response.status(200).send('login');
    console.log(request.body);
});

app.post('/registration',(request, response) => {
    response.status(201).send('registration');
    console.log(request.body);
});

app.post('/account',(request, response) => {
    response.status(200).send('account');
    console.log(request.body);
});

app.listen(port, () => {
    console.log("listening on port " + port);
});